Bug 27578 - [CSS3 Backgrounds and Borders] Drop the prefix from the border-radius properties
: [CSS3 Backgrounds and Borders] Drop the prefix from the border-radius properties
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: mitz@webkit.org
:
Depends on:
Blocks: 27569
  Show dependency treegraph
 
Reported: 2009-07-22 15:49 PDT by Dave Hyatt
Modified: 2009-07-28 17:17 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2009-07-22 15:49:46 PDT
This can be done by eliminating the old properties (like we did with -webkit-opacity), since there are no syntactic incompatibilities.
Comment 1 mitz@webkit.org 2009-07-27 19:52:51 PDT
(In reply to comment #0)
> This can be done by eliminating the old properties (like we did with
> -webkit-opacity), since there are no syntactic incompatibilities.

I think there is an incompatibility:
-webkit-border-radius: 10px 20px; means 10-by-20 ellipse in every corner.
border-radius: 10px 20px; means 10-by-10 circles in the top left and bottom right corners, 20-by-20 in the other corners.
Comment 2 mitz@webkit.org 2009-07-28 17:03:05 PDT
I made a single patch for this bug and for bug 27584 and attached it to that bug.
Comment 3 mitz@webkit.org 2009-07-28 17:17:39 PDT
Fixed in <http://trac.webkit.org/changeset/46508>.